org.apache.hc.client5.http.impl.auth

## Class AuthChallengeParser

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.AuthChallengeParser

-     public class AuthChallengeParser
      extends Object

  Authentication challenge parser.
  Since:
    5.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AuthChallengeParser` | `INSTANCE` Default instance of `AuthChallengeParser`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthChallengeParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AuthChallenge>` | `parse(ChallengeType challengeType, CharSequence buffer, org.apache.hc.core5.http.message.ParserCursor cursor)` Parses the given sequence of characters into a list of `AuthChallenge` elements.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final AuthChallengeParser INSTANCE

      Default instance of `AuthChallengeParser`.

  - ### Constructor Detail

    - #### AuthChallengeParser

          public AuthChallengeParser()

  - ### Method Detail

    - #### parse

          public List<AuthChallenge> parse(ChallengeType challengeType,
                                           CharSequence buffer,
                                           org.apache.hc.core5.http.message.ParserCursor cursor)
                                    throws org.apache.hc.core5.http.ParseException

      Parses the given sequence of characters into a list of `AuthChallenge` elements.
      Parameters:
        `challengeType` - the type of challenge (target or proxy).
        `buffer` - the sequence of characters to be parsed.
        `cursor` - the parser cursor.
      Returns:
        a list of auth challenge elements.
      Throws:
        `org.apache.hc.core5.http.ParseException`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.